classification
Title: "tel" URIs should support params
Type: behavior Stage: needs patch
Components: Library (Lib) Versions: Python 3.4, Python 3.2, Python 3.3, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: orsenthil Nosy List: amaury.forgeotdarc, eric.araujo, orsenthil, pitrou, python-dev
Priority: normal Keywords:

Created on 2012-12-18 14:30 by pitrou, last changed 2012-12-24 22:05 by orsenthil. This issue is now closed.

Messages (5)
msg177692 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2012-12-18 14:30
RFC 3966 (http://tools.ietf.org/html/rfc3966) defines the tel URI and its parameters. However, urlparse / urllib.parse doesn't recognize "tel" URIs as taking parameters:

>>> urlparse.urlparse('tel:7042;phone-context=example.com')
ParseResult(scheme='tel', netloc='', path='7042;phone-context=example.com', params='', query='', fragment='')
msg177693 - (view) Author: Amaury Forgeot d'Arc (amaury.forgeotdarc) * (Python committer) Date: 2012-12-18 15:36
I don't know whether 'tel' is a common scheme, but it's easy to add it to urlparse from the outside:

>>> urlparse.uses_param.append('tel')
>>> urlparse.urlparse('tel:7042;phone-context=example.com')
ParseResult(scheme='tel', netloc='', path='7042', params='phone-context=example.com', query='', fragment='')
msg177885 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2012-12-21 17:18
It’s easy sure, but I think it’s still a bug :)
msg178106 - (view) Author: Roundup Robot (python-dev) Date: 2012-12-24 22:04
New changeset d002a2e46383 by Senthil Kumaran in branch '3.2':
Fix issue16713 - tel url parsing with params
http://hg.python.org/cpython/rev/d002a2e46383

New changeset 727f26d1806f by Senthil Kumaran in branch '3.3':
Fix issue16713 - tel url parsing with params
http://hg.python.org/cpython/rev/727f26d1806f

New changeset e147d5f3c897 by Senthil Kumaran in branch 'default':
Fix issue16713 - tel url parsing with params
http://hg.python.org/cpython/rev/e147d5f3c897

New changeset ff0426b5d75e by Senthil Kumaran in branch '2.7':
Fix issue16713 - tel url parsing with params
http://hg.python.org/cpython/rev/ff0426b5d75e
msg178107 - (view) Author: Senthil Kumaran (orsenthil) * (Python committer) Date: 2012-12-24 22:05
Fixed in all codelines. Thank you!
History
Date User Action Args
2012-12-24 22:05:31orsenthilsetstatus: open -> closed
assignee: orsenthil
resolution: fixed
messages: + msg178107
2012-12-24 22:04:00python-devsetnosy: + python-dev
messages: + msg178106
2012-12-21 17:18:55eric.araujosetnosy: + eric.araujo
messages: + msg177885
2012-12-18 15:36:03amaury.forgeotdarcsetnosy: + amaury.forgeotdarc
messages: + msg177693
2012-12-18 14:30:24pitroucreate